<?php
/**
 * Created by PhpStorm.
 * User: stanley-king
 * Date: 16/5/24
 * Time: 下午6:07
 */

function is_debug()
{
    if(defined('DEBUG_MODE') && DEBUG_MODE == true) {
        return true;
    } else {
        return false;
    }
}

function is_publish()
{
    if(defined('MOBILE_PUBLISH') && MOBILE_PUBLISH == false) {
        return false;
    } else {
        return true;
    }
}

function is_pushoms()
{
    if(is_publish()) return true;
    if(is_debug() == false) return true;

    if(defined('PUSH_OMS') && PUSH_OMS == true) {
        return true;
    } else {
        return false;
    }
}

function is_localdebug()
{
    if(defined('LOCAL_DEBUG') && LOCAL_DEBUG == true) {
        return true;
    } else {
        return false;
    }
}
